##################################################################################
# Dashboard definition
##################################################################################

name: Mesures Application               # Report name
env: app                                # Environment name to used (Related to config file)
evolutiontype: comparaison              # "comparaison" or "evolution" - Change the type of version tracking graphs
generationtype: Dashboard               # Optional - Default : "All" - "All", "Dashboard" or "Scenarios". Define which files will be generated
basenetworktype: WIFI                   # Optional - Default : "WIFI" - "WIFI", "4G", "3G" or "2G". The main network used
usembfordata: false                     # Optional - Replace KB by MB
shouldgenerateevolutionperdomain: false # Optional - Default: false - Display evolution by domain
pausedurationtouseforconsumption: 30.0  # Optional - Default : 30.0 - pause in second for step of type PAUSE (default : 30.0)
language: FR                            # Optional - Language for the report : "FR" (default) or "EN"
version: 2.0                            # Optional - Default: 2.0 - "1.0" or "2.0"
web: false                              # Optional - Default: false. For web measure, set true to change thresholds for data consumptions

##################################################################################
# Measurement campaign used to calculate Ecoscore
##################################################################################

auditids:
  - version: v1.0.0         # Version name to display
    plateforme: Galaxy S9   # Platform name to display
    os: Android             # "Android" or "iOS"
    idwifi: 12345           # ID of the WIFI audit
    id4g:                   # Optional - ID of 4G audit to compared network measure
    extramestime: 1.0       # float64 - Time in second added at the end of loading step. This time is not taken into account for the performance metric
    date: 07/12/2023        # Measure date to display
    
##################################################################################
# Environmental impact parameters (optional)
##################################################################################

environmentalinput:
  useroptions:
    userlocations:
      france: 20            # % users in france
      world: 80             # % users in another part of the world (outside France)
    usertypes:
      smartphone: 50        # % users on smartphone
      tablet: 30            # % users on tablet
      pc: 20                # % users on PC
  networkoptions:
    networklocations:
      france: 20            # % users in france
      world: 80             # % users in another part of the world (outside France)
    networktypes:
      gsm2g3g: 4            # % users in 2G/3G
      gsm4g5g: 15           # % users in 4G/5G
      wiredfibre: 39        # % users in fiber
      wiredxdsl: 42         # % users in adsl/xdsl
  serveroptions:
    serverlocations:
      france: 20            # % server in France
      world: 80             # % server in another part of the world (outside France)
    servertypes:
      complexserver: 70     # % complex server
      simpleserver: 30      # % simple server
      
##################################################################################
# Comparisons step by step with another measurement campaign (optional)
##################################################################################

comparisons:                # Used to compare all steps with each other
  metrics:                  # Metrics used for comparison
    - Performance
    - Data
    - EnergySpeed
    - EnergyConsumption
    - Carbon
  audits:
    - name: S9              # Name of the series to display
      id: 12345             # Audit id
      device: Galaxy S9     # Device name
      network: WIFI         # Optional - "WIFI"(default), "4G", "3G" ou "2G"
      extramestime: 1.0     # Time added at the end of loading steps. This time is not taken into account for the performance metric
    - [...]
    
##################################################################################
# Steps definition
##################################################################################

refname: "PAUSE_reference"
steps:
  - name: "PAUSE_reference"
    domain: Tech
    # energy: true        # Optional - Step to use for metric energy. If not set the value depends of the step type
    # data: true          # Optional - Step to use for metric data. If not set the value depends of the step type
    # performance: true   # Optional - Step to use for metric performance. If not set the value depends of the step type
    # order: 1            # Optional - Order used when building the scenario report
    # displayname:        # Optional - Name to display in report instead of the step name of the measure
    # critical: false     # Optional - Default : false. Can define the step as critical step of the fonctional path